Skip to content

List Usage Plans.

GET
/api/web/namespaces/system/usage_plans/custom_list
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/usage_plans/custom_list \
--header 'Authorization: <Authorization>'

Endpoint to GET usage plans.

Examples of this operation.

A successful response.

Media typeapplication/json
Usage Plans Response

Response with the usage plans info.

object
usage_plans
Usage plans

Collection of available plans.

Array<object>
LocalizedUsagePlan

Localized info of usage plan.

object
locale
Locale

Locale in the ISO dashed format.

string
<= 1024 characters
plans
Plans

Collection of currently publicly available plans.

Array<object>
PlanInternal

Structure that holds all data needed to choose usage plan.

object
allowed_addon_services

List of addon services that can be subscribed part of current plan.

Array<object>
Addon Service Details

Details about addon service.

object
display_name
Display name

Human readable name of addon.

string
<= 1024 characters
name
Name

Name of the addon feature.

string
>= 6 characters <= 1024 characters
billing_disabled
Billing disabled

If true then there’s no automatic billing.

boolean format: boolean
current
Current

True if plan is active. Note that customers are only allowed to current plans.

boolean format: boolean
default_quota
object
api_limits
api_limits

API Limits defines ratelimit parameters for an API at the stdlib service The key of the api_limits map is rpc FQN e.g. “VES.I/o.schema.advertise_policy.api.create”

object
apigw_limits
apigw_limits

API Gateway Limits defines rate limit value parameters for an API at a service level (prism, sentinel, etc) The key of the apigw_limits map is rpc FQN e.g. “VES.I/o.schema.advertise_policy.api.create”

object
object_limits
object_limits

Object Limits define maximum number of instances that can be present per object kind for the tenant The key of the object_limits map is object kind e.g. “virtual_host”

object
resource_limits
resource_limits

Resource Limits define maximum value of resources in the appropriate units that can be present. The key of the resource limits is the resource name.

object
description
Description

Description of the plan as mark-down text.

string
>= 21 characters <= 1024 characters
flat_price
Flat price

Flat fee of the plan in cents.

integer format: int32
included_addon_services

List of addon services that are available part of current plan.

Array<object>
Addon Service Details

Details about addon service.

object
display_name
Display name

Human readable name of addon.

string
<= 1024 characters
name
Name

Name of the addon feature.

string
>= 6 characters <= 1024 characters
name
Name

Name of the plan, the name is not guaranteed to be human readable.

string
>= 6 characters <= 1024 characters
renewal_period_unit
string
default: PERIOD_UNKNOWN
Allowed values: PERIOD_UNKNOWN PERIOD_DAY PERIOD_WEEK PERIOD_MONTH PERIOD_YEAR
state
string
default: STATE_UNSPECIFIED
Allowed values: STATE_UNSPECIFIED STATE_READY STATE_TRANSITION_PENDING
subtitle
Sub-Title

Optional second line of the title of the plan, human readable.

string
<= 1024 characters
tenant_type
string
default: UNKNOWN
Allowed values: UNKNOWN FREEMIUM ENTERPRISE
title
Title

Title of the plan, human readable.

string
>= 6 characters <= 1024 characters
transition_flow
object
method
string
default: TRANSITION_METHOD_UNSPECIFIED
Allowed values: TRANSITION_METHOD_UNSPECIFIED TRANSITION_METHOD_SUPPORT TRANSITION_METHOD_WIZARD TRANSITION_METHOD_RECREATE
required_fields
Required fields

Mandatory information to migrate onto this plan.

Array<string>
Allowed values: TRANSITION_REQUIRED_FIELD_UNSPECIFIED TRANSITION_REQUIRED_FIELD_PAYMENT_TOKEN TRANSITION_REQUIRED_FIELD_DOMAIN TRANSITION_REQUIRED_FIELD_CONTACTS
requires_manual_approval
Manual approval

If true then any migration onto this plan must be approved by the billing department.

boolean format: boolean
trial_period
Trial period

Trial period associated with this plan. Different pricing conditions are in place during the trial period - flat fee my not apply, or similar.

integer format: int32
trial_period_unit
string
default: PERIOD_UNKNOWN
Allowed values: PERIOD_UNKNOWN PERIOD_DAY PERIOD_WEEK PERIOD_MONTH PERIOD_YEAR
usage_plan_type
string
default: FREE
Allowed values: FREE INDIVIDUAL TEAM ORGANIZATION PLAN_TYPE_UNSPECIFIED
Example
{
"usage_plans": [
{
"plans": [
{
"renewal_period_unit": "PERIOD_UNKNOWN",
"state": "STATE_UNSPECIFIED",
"tenant_type": "UNKNOWN",
"transition_flow": {
"method": "TRANSITION_METHOD_UNSPECIFIED",
"required_fields": [
"TRANSITION_REQUIRED_FIELD_UNSPECIFIED"
]
},
"trial_period_unit": "PERIOD_UNKNOWN",
"usage_plan_type": "FREE"
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example